> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspace

> Retrieve a single workspace by ID.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json get /v1/workspaces/{workspaceId}
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/workspaces/{workspaceId}:
    get:
      tags:
        - Workspaces
      summary: Get Workspace
      description: Retrieve a single workspace by ID.
      parameters:
        - schema:
            type: string
            example: clxyz123
          required: true
          name: workspaceId
          in: path
      responses:
        '200':
          description: Workspace details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Workspace'
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
      security:
        - bearerAuth: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        business_category:
          type: string
          nullable: true
        tenant_id:
          type: string
          nullable: true
        activated:
          type: boolean
        connector_type:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - business_category
        - tenant_id
        - activated
        - connector_type
        - created_at
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````